package routers

import (
	"bzd_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	// 设备分类
	beego.Router("/DeviceClass/List", &controllers.DeviceClassController{}, "*:List")           // 获取未读消息
	beego.Router("/DeviceClass/Get", &controllers.DeviceClassController{}, "*:Get")           // 获取未读消息
	beego.Router("/DeviceClass/Add", &controllers.DeviceClassController{}, "*:Add") // 获取未读消息
	beego.Router("/DeviceClass/Up", &controllers.DeviceClassController{}, "*:Up") // 获取未读消息
	beego.Router("/DeviceClass/Del", &controllers.DeviceClassController{}, "*:Del")   // 获取未读消息

	// 设备分类 - 设备列表
	beego.Router("/DeviceClassList/List", &controllers.DeviceClassController{}, "*:List_List")           // 获取未读消息
	beego.Router("/DeviceClassList/Add", &controllers.DeviceClassController{}, "*:List_Add") // 获取未读消息
	beego.Router("/DeviceClassList/Up", &controllers.DeviceClassController{}, "*:List_Up") // 获取未读消息
	beego.Router("/DeviceClassList/Del", &controllers.DeviceClassController{}, "*:List_Del")   // 获取未读消息

	// - 设备管理
	beego.Router("/Device/List", &controllers.DeviceController{}, "*:List")           // 获取未读消息
	beego.Router("/Device/Add", &controllers.DeviceController{}, "*:Add") // 获取未读消息
	beego.Router("/Device/Up", &controllers.DeviceController{}, "*:Up") // 获取未读消息
	beego.Router("/Device/Del", &controllers.DeviceController{}, "*:Del")   // 获取未读消息


	beego.Router("/Device/Class", &controllers.DeviceController{}, "*:Device_Class")           // 获取未读消息
	beego.Router("/Device/Data", &controllers.DeviceController{}, "*:Device_Data")           // 获取未读消息


}
